<?xml version="1.0" encoding="UTF-8"?>
<project xmlns="http://maven.apache.org/POM/4.0.0" xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance" xsi:schemaLocation="http://maven.apache.org/POM/4.0.0 http://maven.apache.org/maven-v4_0_0.xsd">
  <modelVersion>4.0.0</modelVersion>
  <groupId>org.openautonomousconnection</groupId>
  <artifactId>WebServer</artifactId>
  <version>1.0-BETA.1.0</version>
  <description>The default DNS-Server</description>
  <url>https://open-autonomous-connection.org/</url>
  <issueManagement>
    <system>Issue Tracker</system>
    <url>https://repo.open-autonomous-connection.org/open-autonomous-connection/WebServer/issues</url>
  </issueManagement>
  <developers>
    <developer>
      <name>UnlegitDqrk</name>
      <url>https://unlegitdqrk.dev/</url>
      <organization>Open Autonomous Connection</organization>
      <organizationUrl>https://open-autonomous-connection.org/</organizationUrl>
      <roles>
        <role>Owner</role>
        <role>Head Developer</role>
      </roles>
    </developer>
    <developer>
      <name>Maple</name>
      <url>https://niumaple.carrd.co/</url>
      <organization>Open Autonomous Connection</organization>
      <organizationUrl>https://open-autonomous-connection.org/</organizationUrl>
      <roles>
        <role>Owner</role>
        <role>Head Developer</role>
      </roles>
    </developer>
  </developers>
  <licenses>
    <license>
      <name>Open Autonomous Public License (OAPL)</name>
      <url>https://open-autonomous-connection.org/license.html</url>
    </license>
    <license>
      <name>GNU General Public License v3.0</name>
      <url>https://www.gnu.org/licenses/gpl-3.0.html</url>
      <comments>Default license: Applies to all users and projects unless an explicit alternative license has been granted.</comments>
    </license>
    <license>
      <name>LPGL 3</name>
      <url>https://www.gnu.org/licenses/lgpl-3.0.html#license-text</url>
    </license>
    <license>
      <name>LPGL 2.1</name>
      <url>https://www.gnu.org/licenses/old-licenses/lgpl-2.1.html.en#SEC1</url>
    </license>
    <license>
      <name>WTPL License</name>
      <url>https://github.com/ronmamo/reflections/tree/master?tab=WTFPL-1-ov-file</url>
    </license>
    <license>
      <name>Apache License 2.0</name>
      <url>https://www.apache.org/licenses/LICENSE-2.0.txt</url>
    </license>
    <license>
      <name>MIT License</name>
      <url>https://opensource.org/license/mit</url>
    </license>
    <license>
      <name>javassist</name>
      <url>https://github.com/jboss-javassist/javassist/blob/master/License.html</url>
    </license>
    <license>
      <name>projectlombok</name>
      <url>https://github.com/projectlombok/lombok?tab=License-1-ov-file</url>
    </license>
  </licenses>
  <organization>
    <name>Open Autonomous Connection</name>
    <url>https://open-autonomous-connection.org/</url>
  </organization>
  <build>
    <plugins>
      <plugin>
        <artifactId>maven-shade-plugin</artifactId>
        <version>3.6.0</version>
        <executions>
          <execution>
            <phase>package</phase>
            <goals>
              <goal>shade</goal>
            </goals>
            <configuration>
              <transformers>
                <transformer>
                  <mainClass>org.openautonomousconnection.webserver.Main</mainClass>
                </transformer>
              </transformers>
            </configuration>
          </execution>
        </executions>
      </plugin>
      <plugin>
        <artifactId>maven-source-plugin</artifactId>
        <version>3.3.0</version>
        <executions>
          <execution>
            <id>attach-sources</id>
            <goals>
              <goal>jar</goal>
            </goals>
          </execution>
        </executions>
      </plugin>
      <plugin>
        <artifactId>maven-javadoc-plugin</artifactId>
        <version>3.6.3</version>
        <executions>
          <execution>
            <id>attach-javadocs</id>
            <goals>
              <goal>jar</goal>
            </goals>
          </execution>
        </executions>
      </plugin>
    </plugins>
  </build>
  <repositories>
    <repository>
      <snapshots />
      <id>oac</id>
      <url>https://repo.open-autonomous-connection.org/api/packages/open-autonomous-connection/maven</url>
    </repository>
  </repositories>
  <dependencies>
    <dependency>
      <groupId>org.projectlombok</groupId>
      <artifactId>lombok</artifactId>
      <version>1.18.38</version>
      <scope>provided</scope>
    </dependency>
  </dependencies>
  <properties>
    <project.build.sourceEncoding>UTF-8</project.build.sourceEncoding>
    <maven.compiler.target>23</maven.compiler.target>
    <maven.compiler.source>23</maven.compiler.source>
  </properties>
</project>
